2019-12-09 21:24 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002443FSSCPgameplaypublic2012-01-23 15:18
ReporterAxem 
Assigned Toniffiwan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.14 
Summary0002443: Weapon firewaits are weird if over 5 seconds
DescriptionAny weapon that has a firewait of over 5 seconds will instead have a firewait of 1 second.

Example condition:

Weapon A: Firewait = 6s
Weapon B: Firewait = 4s
Weapon C: Firewait = 0.5s

A alone: A fires at 1s firewait
B alone: B fires at 4s firewait
B+B linked: B+B fires at 1s firewait
B+C linked: B fires at 1s firewait, C fires at normal slowed linked firewait

Attached a rar with a table and a mission file.

2.0-Subach as a firewait of 2s
4.0-Prometheus as a firewait of 4s
6.0-Maxim has a firewait of 6s

Use cheats to access weapons.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013054

niffiwan (developer)

Fix committed to trunk@8227.

~0013069

Zacam (administrator)

Fix committed to fs2_open_3_6_14@8249.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2011-05-27 20:57 Axem New Issue
2011-05-27 20:57 Axem File Added: WeaponTrouble.rar
2012-01-15 05:52 niffiwan Changeset attached => fs2open trunk r8227
2012-01-15 05:52 niffiwan Note Added: 0013054
2012-01-15 05:52 niffiwan Assigned To => niffiwan
2012-01-15 05:52 niffiwan Status new => resolved
2012-01-15 05:52 niffiwan Resolution open => fixed
2012-01-15 19:25 Zacam Changeset attached => fs2open fs2_open_3_6_14 r8249
2012-01-15 19:25 Zacam Note Added: 0013069
2012-01-15 19:25 Zacam Assigned To niffiwan => Zacam
2012-01-23 15:18 chief1983 Assigned To Zacam => niffiwan
2012-01-23 15:18 chief1983 Fixed in Version => 3.6.14
+Issue History